package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRDistributionDTO]
 */
@Data
public class HRDistributionDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [HRDISTRIBUTIONNAME]
     *
     */
    @JSONField(name = "hrdistributionname")
    @JsonProperty("hrdistributionname")
    private String hrdistributionname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [HRDISTRIBUTIONID]
     *
     */
    @JSONField(name = "hrdistributionid")
    @JsonProperty("hrdistributionid")
    private String hrdistributionid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [BEGINTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "begintime" , format="yyyy-MM-dd")
    @JsonProperty("begintime")
    private Timestamp begintime;

    /**
     * 属性 [ENDTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "endtime" , format="yyyy-MM-dd")
    @JsonProperty("endtime")
    private Timestamp endtime;

    /**
     * 属性 [HRPOSTID]
     *
     */
    @JSONField(name = "hrpostid")
    @JsonProperty("hrpostid")
    private String hrpostid;

    /**
     * 属性 [HRPOSTNAME]
     *
     */
    @JSONField(name = "hrpostname")
    @JsonProperty("hrpostname")
    private String hrpostname;

    /**
     * 属性 [HRORGANIZATIONNAME]
     *
     */
    @JSONField(name = "hrorganizationname")
    @JsonProperty("hrorganizationname")
    private String hrorganizationname;

    /**
     * 属性 [HRDUTYNAME]
     *
     */
    @JSONField(name = "hrdutyname")
    @JsonProperty("hrdutyname")
    private String hrdutyname;


    /**
     * 设置 [HRDISTRIBUTIONNAME]
     */
    public void setHrdistributionname(String  hrdistributionname){
        this.hrdistributionname = hrdistributionname ;
        this.modify("hrdistributionname",hrdistributionname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [BEGINTIME]
     */
    public void setBegintime(Timestamp  begintime){
        this.begintime = begintime ;
        this.modify("begintime",begintime);
    }

    /**
     * 设置 [ENDTIME]
     */
    public void setEndtime(Timestamp  endtime){
        this.endtime = endtime ;
        this.modify("endtime",endtime);
    }

    /**
     * 设置 [HRPOSTID]
     */
    public void setHrpostid(String  hrpostid){
        this.hrpostid = hrpostid ;
        this.modify("hrpostid",hrpostid);
    }

    /**
     * 设置 [HRDUTYNAME]
     */
    public void setHrdutyname(String  hrdutyname){
        this.hrdutyname = hrdutyname ;
        this.modify("hrdutyname",hrdutyname);
    }


}

