package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRLanguageAbilityDTO]
 */
@Data
public class HRLanguageAbilityDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [HRLANGUAGEABILITYID]
     *
     */
    @JSONField(name = "hrlanguageabilityid")
    @JsonProperty("hrlanguageabilityid")
    private String hrlanguageabilityid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [HRLANGUAGEABILITYNAME]
     *
     */
    @JSONField(name = "hrlanguageabilityname")
    @JsonProperty("hrlanguageabilityname")
    private String hrlanguageabilityname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;

    /**
     * 属性 [LANGUAGETYPE]
     *
     */
    @JSONField(name = "languagetype")
    @JsonProperty("languagetype")
    private String languagetype;

    /**
     * 属性 [LANGUAGELEVEL]
     *
     */
    @JSONField(name = "languagelevel")
    @JsonProperty("languagelevel")
    private String languagelevel;

    /**
     * 属性 [LANGUAGETIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "languagetime" , format="yyyy-MM-dd")
    @JsonProperty("languagetime")
    private Timestamp languagetime;


    /**
     * 设置 [HRLANGUAGEABILITYNAME]
     */
    public void setHrlanguageabilityname(String  hrlanguageabilityname){
        this.hrlanguageabilityname = hrlanguageabilityname ;
        this.modify("hrlanguageabilityname",hrlanguageabilityname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }

    /**
     * 设置 [LANGUAGETYPE]
     */
    public void setLanguagetype(String  languagetype){
        this.languagetype = languagetype ;
        this.modify("languagetype",languagetype);
    }

    /**
     * 设置 [LANGUAGELEVEL]
     */
    public void setLanguagelevel(String  languagelevel){
        this.languagelevel = languagelevel ;
        this.modify("languagelevel",languagelevel);
    }

    /**
     * 设置 [LANGUAGETIME]
     */
    public void setLanguagetime(Timestamp  languagetime){
        this.languagetime = languagetime ;
        this.modify("languagetime",languagetime);
    }


}

