package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRWorkRecordDTO]
 */
@Data
public class HRWorkRecordDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRWORKRECORDID]
     *
     */
    @JSONField(name = "hrworkrecordid")
    @JsonProperty("hrworkrecordid")
    private String hrworkrecordid;

    /**
     * 属性 [HRWORKRECORDNAME]
     *
     */
    @JSONField(name = "hrworkrecordname")
    @JsonProperty("hrworkrecordname")
    private String hrworkrecordname;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [BEGINTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "begintime" , format="yyyy-MM-dd")
    @JsonProperty("begintime")
    private Timestamp begintime;

    /**
     * 属性 [ENDTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "endtime" , format="yyyy-MM-dd")
    @JsonProperty("endtime")
    private Timestamp endtime;

    /**
     * 属性 [WORKORGANIZATION]
     *
     */
    @JSONField(name = "workorganization")
    @JsonProperty("workorganization")
    private String workorganization;

    /**
     * 属性 [WORKDEPARTMENT]
     *
     */
    @JSONField(name = "workdepartment")
    @JsonProperty("workdepartment")
    private String workdepartment;

    /**
     * 属性 [DUTY]
     *
     */
    @JSONField(name = "duty")
    @JsonProperty("duty")
    private String duty;

    /**
     * 属性 [POST]
     *
     */
    @JSONField(name = "post")
    @JsonProperty("post")
    private String post;

    /**
     * 属性 [MAINWORK]
     *
     */
    @JSONField(name = "mainwork")
    @JsonProperty("mainwork")
    private Integer mainwork;


    /**
     * 设置 [HRWORKRECORDNAME]
     */
    public void setHrworkrecordname(String  hrworkrecordname){
        this.hrworkrecordname = hrworkrecordname ;
        this.modify("hrworkrecordname",hrworkrecordname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [BEGINTIME]
     */
    public void setBegintime(Timestamp  begintime){
        this.begintime = begintime ;
        this.modify("begintime",begintime);
    }

    /**
     * 设置 [ENDTIME]
     */
    public void setEndtime(Timestamp  endtime){
        this.endtime = endtime ;
        this.modify("endtime",endtime);
    }

    /**
     * 设置 [WORKORGANIZATION]
     */
    public void setWorkorganization(String  workorganization){
        this.workorganization = workorganization ;
        this.modify("workorganization",workorganization);
    }

    /**
     * 设置 [WORKDEPARTMENT]
     */
    public void setWorkdepartment(String  workdepartment){
        this.workdepartment = workdepartment ;
        this.modify("workdepartment",workdepartment);
    }

    /**
     * 设置 [DUTY]
     */
    public void setDuty(String  duty){
        this.duty = duty ;
        this.modify("duty",duty);
    }

    /**
     * 设置 [POST]
     */
    public void setPost(String  post){
        this.post = post ;
        this.modify("post",post);
    }

    /**
     * 设置 [MAINWORK]
     */
    public void setMainwork(Integer  mainwork){
        this.mainwork = mainwork ;
        this.modify("mainwork",mainwork);
    }


}

